Summary: The drakxtools (XFdrake, diskdrake, keyboarddrake, mousedrake...)
Name: drakxtools
Version: 1.1.7
Release: alt35

Packager: Rider <rider@altlinux.ru>

Url: http://www.linux-mandrake.com/drakx/
Source0: drakxtools.tar.bz2
Source1: http://www.linux-mandrake.com/diskdrake/diskdrake.html
Source2: pam.net_monitor
Source3: apps.net_monitor
Source4: drakxtools_ru.po.bz2
Patch1: drakxtools-rusxkb.patch
Patch2: drakxtools-agp.patch
Patch3: drakxtools-XFree86-version.patch
Patch4: drakxtools-modem.patch
Patch5: drakxtools-keyboard.patch
Patch6: drakxtools-mdk2alt.patch
Patch7: drakxtools-reiserfs36.patch
Patch8: drakxtools-printer.patch
#Patch9: drakxtools-printerdrake+help.patch
Patch10: drakxtools-nvidia.patch
Patch11: drakxtools-device.patch
Patch12: drakxtools-mousetwo.patch
Patch13: drakxtools-bootloader_pm.fix
Patch14: drakxtools-drakboot.patch
Patch15: drakxtools-autologin.patch
Patch16: drakxtools-samba-split.patch
Patch17: drakxtools-localedrake.patch
Patch18: drakxtools-sis.patch
Patch19: drakxtools-newdrakx.patch
Patch20: drakxtools-drakgw.patch
Patch21: drakxtools-newmouse.patch
Patch22: drakxtools-netnew.patch.bz2
Patch23: drakxtools-nfssmb.patch
Patch24: drakxtools-xfree3.patch
Patch25: drakxtools-nokups.patch
Patch26: drakxtools-no3c90x.patch
Patch27: drakxtools-altlinuxbg.patch
Patch28: drakxtools-rua.patch
Patch29: drakxtools-savage_xv.patch
Patch30: drakxtools-new_fixes.patch
Patch31: drakxtools-new-ldetect.patch
Patch32: drakxtools-no-interactive-http.patch
Patch33: drakxtools-alt-no-mandrake_desktop.patch
Patch34: drakxtools-no-msgmerge.patch
Patch35: drakxtools-setVarsInCsh.patch
Patch36: drakxtools-update-lilo.patch
Patch37: drakxtools-no-grub.patch
Patch38: drakxtools-no-printer-tran.patch
Patch39: drakxtools-XFree86-4.3.patch
Patch40: drakxtools-check_virtual_packages_installed.patch
Patch41: drakxtools-fix_nvidia_configure.patch
Patch42: drakxtools-pppoe-name-fix.patch
Patch43: drakxtools-detect-scsi.patch
Patch44: drakxtools-glx.a.patch
Patch45: drakxtools-nodrakgw.patch
Patch46: drakxtools-alt-xconfigurator.patch
Patch47: drakxtools-alt-keyboard-fix.patch

%set_perl_req_method relaxed 
%define _perl_lib_path %perl_vendor_privlib:%_libdir/libDrakX


License: GPL
Group: System/Configuration/Other

#not in autoreqs
PreReq: design-graphics, qiv

Requires: %name-newt = %version-%release, perl-GTK >= 0.6123, perl-GTK-GdkImlib, XFree86-100dpi-fonts, XFree86-75dpi-fonts, ldetect-lst, perl-MDK-Common

BuildRequires: XFree86-devel glib-devel gtk+-devel ldetect-devel-static libe2fs-devel libnewt-devel libslang-devel libtinfo-devel perl-MDK-Common perl-devel libpam0-devel

%package newt
Summary: The drakxtools (XFdrake, diskdrake, keyboarddrake, mousedrake...)
Group: System/Configuration/Other
AutoProv: yes, nolib
Requires: urpmi, modutils >= 2.3.11, ldetect-lst >= 0.1.2-ipl8mdk
Obsoletes: diskdrake setuptool
Obsoletes: Xconfigurator mouseconfig kbdconfig printtool
Provides: diskdrake setuptool Xconfigurator mouseconfig kbdconfig printtool

%package http
Summary: The drakxtools via http
Group: System/Configuration/Other
Requires: %name-newt = %version-%release, perl-Net_SSLeay, perl-Authen-PAM, perl-CGI

%description
Contains XFdrake, diskdrake, keyboarddrake, lspcidrake, mousedrake,
printerdrake and drakboot.

XFdrake: menu-driven program which walks you through setting up your X
server. It works on console and under X :)
It autodetects both monitor and video card if possible.

diskdrake: The purpose of the DiskDrake project is to make hard disk
partitioning easier. It is graphical, simple and powerful. Different skill
levels are available (newbie, advanced user, expert). It's written entirely
in Perl and Perl/Gtk. It uses resize_fat which is a perl rewrite of the work of
Andrew Clausen (libresize).

keyboarddrake: configures your keyboard (both console and X)

lspcidrake: displays your pci information, *and* the corresponding kernel
module.

mousedrake: configures and autodetects your mouse

printerdrake: detects and configures your printer

draknet: LAN/Internet connection configuration. It handles ethernet, ISDN, DSL,
cable, modem.

liveupdate: live update software.

drakboot: configures your boot configuration (Lilo/GRUB, Aurora, X, autologin)

drakautoinst: help you configure an automatic installation replay

%description newt
See package %name

%description http
See package %name

%prep
%setup -q -n %name

%patch22 -p1
%patch23 -p1

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch11 -p1
#%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1

%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1

%patch31 -p1
%patch32 -p1
%patch33 -p1

%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1

# Remove unused translations
for i in `ls share/po/*.po`; do
    if [ $i = "share/po/be.po" ] || [ $i = "share/po/de.po" ] || [ $i = "share/po/fr.po" ] || [ $i = "share/po/uk.po" ]; then
	echo "Leaving alone $i"
    else
	echo "Removing $i"
	rm -f $i
    fi
done

# Install updated russian translation
bzcat %SOURCE4>share/po/ru.po
#%patch9 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
make PREFIX=$RPM_BUILD_ROOT install

cp %SOURCE1 .

rm -f $RPM_BUILD_ROOT/usr/sbin/{netdrake,rpmdrake}

(cd $RPM_BUILD_ROOT ; find usr/lib/libDrakX ! -type d -printf "/%%p\n"|grep -v crypto) > %name.list
(cd $RPM_BUILD_ROOT ; find usr/lib/libDrakX   -type d -printf "%%%%dir /%%p\n"|grep -v crypto) >> %name.list

mv $RPM_BUILD_ROOT%_sbindir/net_monitor \
   $RPM_BUILD_ROOT%_sbindir/net_monitor.real
ln -sf %_bindir/consolehelper $RPM_BUILD_ROOT%_sbindir/net_monitor
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/{pam.d,security/console.apps}
cp %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/pam.d/net_monitor
cp %SOURCE3 $RPM_BUILD_ROOT%_sysconfdir/security/console.apps/net_monitor

# Remove tinyfirewall
rm -f $RPM_BUILD_ROOT%_sbindir/tinyfirewall


%find_lang libDrakX

# can't give 2 list of files, so add mo's to the list
cat libDrakX.lang >> %name.list

# Remove crypto.pm
rm -rf $RPM_BUILD_ROOT%_libdir/libDrakX/crypto.pm

%post
cd
if [ ! -e /usr/X11R6/bin/Xconfigurator ];then
   %__ln_s -f ../sbin/XFdrake /usr/X11R6/bin/Xconfigurator
fi
if [ ! -e %_sbindir/kbdconfig ];then
 %__ln_s -f keyboarddrake %_sbindir/kbdconfig
fi
if [ ! -e %_sbindir/setuptool ];then
 %__ln_s -f drakxconf %_sbindir/setuptool
fi
if [ ! -e %_sbindir/mouseconfig ];then
 %__ln_s -f mousedrake %_sbindir/mouseconfig
fi
if [ ! -e %_bindir/printtool ];then
 %__ln_s -f ../sbin/printerdrake %_bindir/printtool
fi

%postun
for i in /usr/X11R6/bin/Xconfigurator %_sbindir/kbdconfig %_sbindir/mouseconfig %_bindir/printtool;do
    if [ -L $i ]; then %__rm -f $i; fi
done

%post http
%post_service drakxtools_http

%preun http
%preun_service drakxtools_http

%files newt -f %name.list
%config(noreplace) /etc/gtk/diskdrake.rc
%config(noreplace) /etc/gtk/wizard.rc
%_sbindir/*
%exclude %_sbindir/adduserdrake
%exclude %_sbindir/drakgw
%exclude %_libdir/libDrakX/interactive_http.pm

%files
%config(noreplace) %_sysconfdir/pam.d/net_monitor
%config(noreplace) %_sysconfdir/security/console.apps/net_monitor
%doc diskdrake.html
/usr/X11R6/bin/*
%_bindir/*
%_datadir/libDrakX
%exclude %_datadir/libDrakX/drakxtools_http

%files http
%dir %_sysconfdir/drakxtools_http
%config(noreplace) %_sysconfdir/pam.d/miniserv
%config(noreplace) %_sysconfdir/init.d/drakxtools_http
%config(noreplace) %_sysconfdir/drakxtools_http/conf
%config(noreplace) %_sysconfdir/drakxtools_http/authorised_progs
%config(noreplace) %_sysconfdir/logrotate.d/drakxtools-http
%_datadir/libDrakX/drakxtools_http
%_libdir/libDrakX/interactive_http.pm

%changelog
* Thu Jan 29 2004 Albert R. Valiev <darkstar@altlinux.ru> 1.1.7-alt35
- Fixed required package installation for samba (changed to samba3)

* Thu Jan 08 2004 Albert R. Valiev <darkstar@altlinux.ru> 1.1.7-alt34
- Fixed keyboard settings (Patch by Alexey Tourbin <at@altlinux.ru>)

* Wed Dec 10 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.1.7-alt33
- Various XConfigugurator addons

* Mon Nov 10 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.1.7-alt32
- Removed drakgw

* Mon Nov 03 2003 Rider <rider@altlinux.ru> 1.1.7-alt31
- disabled drakgw
- added full patch to libglx.a

* Thu Oct 30 2003 Rider <rider@altlinux.ru> 1.1.7-alt30
- fixed SCSI detection

* Mon Sep 29 2003 Rider <rider@altlinux.ru> 1.1.7-alt29
- changed name for package with pppoe

* Fri Sep 26 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.7-alt28.1
- fix manage NVIDIA packages by XFdrake

* Fri Sep 26 2003 Rider <rider@altlinux.ru> 1.1.7-alt28
- fixed requires
- fixed bug with NVIDIA_GLX package (renamed)

* Fri Jun 27 2003 Rider <rider@altlinux.ru> 1.1.7-alt27
- only one mouse detection
- fix for correct (or incorrect) setup keyboard in X11

* Thu Feb 27 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt26.2
- no translate printer name

* Tue Feb 11 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt26.1
- fix/update lilo support:
  - new lilo
  - bootsplash
- remove grub support:
  - it's was broken

* Wed Jan 29 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt26
- two patches:
    no-msgmerge -> speedup package building time
    drakxtools-setVarsInCsh.patch -> possible crash bug fix

* Thu Jan 23 2003 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt25
- exclude adduserdrake (use userdrake instead,this program is incompatible with tcb)
- fixed facesdir, wallpapers' dir
- added prereq design-graphics
- exclude %_datadir/libDrakX/drakxtools_http from main package (was requires on perl-CGI)

* Wed Dec 04 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt24
- move interactive_http to http subpackage for removing dep drakxtools-newt on perl-CGI.

* Mon Nov 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt22
- fix requires/provides
- remove unused module crypto.pm (to satisfy deps, this module uses ftp.pm from installer)

* Sun Nov 10 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt21
- rebuild with new perl
- new patch ( fix build with new ldetect. rename class into class_ , 
  and open /dev/mouse instead /dev/cdrom )

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt20
- Rebuild for Sisyphus in new environment

* Tue Oct 08 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt20manli
- Fixed bootloader logos from alt-in-dark to manli

* Mon Oct 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt20
- Fixed ATI 8500 & A3 + A4 support
- Added i845 configuration support

* Tue Sep 10 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt19
- Fixed changelog (my mail)
- Disabled XV extension for S3 Savage graphic cards

* Fri Jun 14 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt18
- Added Ukrainian rua keyboards

* Tue Jun 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt17
- Removed 3c90x module from all sources
- Changed displaying Mandrake backround to altlinux background

* Tue May 22 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt16
- Removed package requires to kups and qtcups from printerdrake

* Mon May 20 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt15
- Fixed XFree86 3.3.x variant if card does'nt support it

* Wed Apr 10 2002 Ivan Zakharyaschev <imz@altlinux.ru> 1.1.7-alt14.1
- localedrake: fix the error with "acm missing" for German and French 
  (patch updated: copy 
  console{fonts,trans} data to /etc/sysconfig/console/ with no subdirs)

* Fri Mar 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt14
- Fixed SMB & NFS mountpoints edit
- Fixed requires

* Thu Mar 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt13
- Fixed nVidia cards setup
- Updated mousedrake
- Updated netdrake
- Updated russian translation

* Thu Mar 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt12
- Removed adding sw_cursor & noaccel options to sis video drivers - with
  new XFree86 sis now working good without it.
- Added support for installing & configuring nVidia cards
- Added some updates from new drakxtools including v4l & radeon 8500 support
- Fixed drakgw
- Fixed buildrequires

* Fri Mar 15 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt11
- fixed localedrake

* Wed Feb 06 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt10
- sync with splited samba-client.

* Fri Jan 18 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt9
- fixed autologin (patch 15 must be together with patch 14)

* Wed Jan 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt8
- fixed bootloader.pm module
- fixed drakboot

* Wed Jan 09 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt7
- Added patch that fixed some device settings (ataraid, bttv).
- Fixed mousedrake - now it correctly support USB & PS2 mice

* Thu Jan 08 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt6
- Merged with MDK Cooker
- Added nVidia patch

* Sat Dec 22 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 1.1.7-51mdk
- fix  conflicts in drakbackup cvs version.

* Sat Dec 22 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 1.1.7-50mdk
- new drakbackup version.

* Wed Dec 19 2001 Stanislav Ievlev <inger@altlinux.ru> 1.1.7-alt5
- fixed help for printer
- removed cups-driver's installation in printerdrake

* Mon Dec 10 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 1.1.7-49mdk
- fix drakfont path problem.
- new version of drakbakup

* Wed Dec  5 2001 dam's <damien@mandrakesoft.com> 1.1.7-48mdk
- corrected syntax error

* Tue Dec  4 2001 dam's <damien@mandrakesoft.com> 1.1.7-47mdk
- avoid network test freeze
- added drackbackup
- snapshot

* Tue Dec 04 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt4
- Fixed Modem ATD{P,T} patch - now you can select one
- Added reiserfs {3.5.x, 3.6.x} patch
- Fixed keyboardrake - now it support KOI8-U
- Removed unused translations
- Added printer patch from Inger

* Fri Nov 30 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-46mdk
- add diskdrake --fileshare

* Thu Nov 29 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-45mdk
- new diskdrake including fileshareset/filesharelist stuff

* Tue Nov 27 2001 Konstantin Volckov <goldhead2altlinux.ru> 1.1.7-alt3
- Fixed russian translation
- Updates from mandrake

* Mon Nov 26 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-44mdk
- use the CVS, not my devel (instable) version

* Mon Nov 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt2
- Fixed russian xkb options in XFdrake
- Fixed filelists
- Fixed post & preun http scripts
- Fixed buildrequires
- Fixed AGPMode from 1 to 2
- Fixed XFree86 versions
- Fixed ATDT->ATDP
- Fixed keyboarddrake

* Fri Nov 23 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-43mdk
- any.pm fixed

* Mon Nov 19 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.7-42mdk
- scannerdrake update to add dynamic support

* Mon Nov 12 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.7-41mdk
- scannerdrake update with new fat ScannerDB

* Wed Nov 08 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.1.7-alt1
- First build for Sisyphus

* Mon Nov  5 2001 dam's <damien@mandrakesoft.com> 1.1.7-40mdk
- corrected typo in drakautoinst

* Fri Nov  2 2001 dam's <damien@mandrakesoft.com> 1.1.7-39mdk
- release

* Fri Oct 26 2001 dam's <damien@mandrakesoft.com> 1.1.7-38mdk
- drakautoinst & drakfont updated

* Thu Oct 25 2001 dam's <damien@mandrakesoft.com> 1.1.7-37mdk
- big improvement on drakautoinst
- draknet : connection script updated

* Thu Oct 18 2001 dam's <damien@mandrakesoft.com> 1.1.7-36mdk
- draknet/net_monitor corrected
- corrected bad stuff.so

* Tue Oct 16 2001 dam's <damien@mandrakesoft.com> 1.1.7-35mdk
- make rplint happier

* Wed Oct 10 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.7-34mdk
- snapshot with scanner stuff

* Mon Sep 24 2001 dam's <damien@mandrakesoft.com> 1.1.7-33mdk
- snapshot

* Mon Sep 24 2001 dam's <damien@mandrakesoft.com> 1.1.7-32mdk
- Last translations.

* Mon Sep 24 2001 dam's <damien@mandrakesoft.com> 1.1.7-31mdk
- snapshot. draknet bugfix.

* Sun Sep 23 2001 dam's <damien@mandrakesoft.com> 1.1.7-30mdk
- snapshot. Included last printer and draknet corrections.

* Fri Sep 21 2001 dam's <damien@mandrakesoft.com> 1.1.7-29mdk
- typo in adsl.pm, Xconfigurator fix.

* Thu Sep 20 2001 dam's <damien@mandrakesoft.com> 1.1.7-28mdk
- snapshot. draknet works now.

* Wed Sep 19 2001 dam's <damien@mandrakesoft.com> 1.1.7-27mdk
- snapshot

* Mon Sep 17 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-26mdk
- snapshot

* Mon Sep 17 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-25mdk
- snapshot

* Sat Sep 15 2001 dam's <damien@mandrakesoft.com> 1.1.7-24mdk
- snapshot with printer, draknet & install fixes

* Fri Sep 14 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.7-23mdk
- snapshot with latest XFdrake fixes.

* Fri Sep 14 2001 dam's <damien@mandrakesoft.com> 1.1.7-22mdk
- snapshot

* Thu Sep 13 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.7-21mdk
- fix Xinerama for Matrox cards (restore XFree86 4.1.0 without DRI).
- removed Modeline 1024x768 in 97.6 Hz which troubles XF4 a lot.

* Thu Sep 13 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.7-20mdk
- snapshot with XFdrake fixes (G550 support, no DRI with Xinerama,
  no XFree86 3.3.6 proposed wiht dual head).

* Wed Sep 12 2001 dam's <damien@mandrakesoft.com> 1.1.7-19mdk
- snapshot

* Wed Sep 12 2001 dam's <damien@mandrakesoft.com> 1.1.7-18mdk
- snapshot.

* Mon Sep 10 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-17mdk
- remove dependency on "perl" since pixel added Data::Dumper in perl-base

* Mon Sep 10 2001 dam's <damien@mandrakesoft.com> 1.1.7-16mdk
- new snapshot, bug corrections.

* Thu Sep  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-15mdk
- drakgw should be working now

* Tue Sep 04 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.7-14mdk
- snaphsot, better interaction with mcc (diskdrake printerdrake).

* Tue Sep  4 2001 dam's <damien@mandrakesoft.com> 1.1.7-13mdk
- snapshot.

* Thu Aug 30 2001 dam's <damien@mandrakesoft.com> 1.1.7-12mdk
- snapshot. locales corected, nicer wizards.

* Thu Aug 30 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.7-11mdk
- new snapshot, mousedrake fixes again.

* Wed Aug 29 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.7-10mdk
- new snapshot, mousedrake fixes.

* Fri Aug 24 2001 dam's <damien@mandrakesoft.com> 1.1.7-9mdk
- snapshot for 8.1 beta2.

* Fri Aug 24 2001 dam's <damien@mandrakesoft.com> 1.1.7-8mdk
- bugfix.
- new snapshot. mousedrake experimental.

* Thu Aug 23 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.7-7mdk
- fix drakboot bug
- macros to fix some rpmlint warnings

* Wed Aug 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-6mdk
- put a require on "perl" which is needed for Data::Dumper in drakautoinst

* Wed Aug 22 2001 dam's <damien@mandrakesoft.com> 1.1.7-5mdk
- snapshot. draknet improvments, bug fixes.

* Mon Aug 20 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-4mdk
- new fstab munching code

* Sat Aug 18 2001 Pixel <pixel@mandrakesoft.com> 1.1.7-3mdk
- new diskdrake (with interactive version => newt)
- drakxtools-http fix

* Tue Aug 14 2001 dam's <damien@mandrakesoft.com> 1.1.7-2mdk
- added doc (it's a shame...)

* Tue Aug 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.7-1mdk
- add drakautoinst

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 1.1.6-3mdk
- snapshot

* Tue Aug  7 2001 dam's <damien@mandrakesoft.com> 1.1.6-2mdk
- added draknet_splash pixmap

* Tue Aug  7 2001 Pixel <pixel@mandrakesoft.com> 1.1.6-1mdk
- add drakxtools_http

* Fri Aug  3 2001 dam's <damien@mandrakesoft.com> 1.1.5-106mdk
- added network/*.pm

* Tue Jul 31 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-105mdk
- add require perl-MDK-Common
- fix for cp -rf (fuck FreeBSD (c))

* Tue Jul 31 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-104mdk
- fix my error: %%files with 2 times "-f <file>" doesn't work :-(

* Mon Jul 30 2001 dam's <damien@mandrakesoft.com> 1.1.5-103mdk
- updated with cooker install.
- added require on XFree86-75dpi-fonts
- merged with pixel specfile to handle mo.

* Mon May  7 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-102mdk
- updated bootloader.pm according to new lilo package (lilo-{menu,graphic,text})

* Wed Apr 25 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.5-101mdk
- updated with oem update for DrakX.
- minor bug correction on printerdrake.
- added minor features to XFdrake.

* Wed Apr 18 2001 dam's <damien@mandrakesoft.com> 1.1.5-100mdk
- added require on usermode.
- added source 2 and 3.
- snapshot. netconnect corrections. final package

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 1.1.5-99mdk
- snapshot. mousedrake corrected. RC6

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 1.1.5-98mdk
- snapshot. autologin corrected. RC5

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 1.1.5-97mdk
- snapshot. RC4

* Tue Apr 17 2001 dam's <damien@mandrakesoft.com> 1.1.5-96mdk
- snapshot. RC3

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 1.1.5-95mdk
- snapshot. RC2

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 1.1.5-94mdk
- snapshot. RC

* Mon Apr 16 2001 dam's <damien@mandrakesoft.com> 1.1.5-93mdk
- draknet and tinyfirewall fixes

* Sun Apr 15 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-92mdk
- bootlook fix & layout

* Fri Apr 13 2001 dam's <damien@mandrakesoft.com> 1.1.5-91mdk
- snapshot

* Fri Apr 13 2001 dam's <damien@mandrakesoft.com> 1.1.5-90mdk
- snapshot

* Thu Apr 12 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-89mdk
- snapshot

* Thu Apr 12 2001 dam's <damien@mandrakesoft.com> 1.1.5-88mdk
- snapshot. pcmcia network corrected

* Thu Apr 12 2001 dam's <damien@mandrakesoft.com> 1.1.5-87mdk
- snapshot. Better network configuration

* Thu Apr 12 2001 dam's <damien@mandrakesoft.com> 1.1.5-86mdk
- snapshot.

* Wed Apr 11 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.5-85mdk
- really fix printerdrake and snap.

* Wed Apr 11 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.5-84mdk
- fix printerdrake and snap.

* Tue Apr 10 2001 dam's <damien@mandrakesoft.com> 1.1.5-83mdk
- bug correction.

* Mon Apr  9 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-82mdk
- snap as always

* Mon Apr  9 2001 Yves Duret <yduret@mandraksoft.com> 1.1.5-81mdk
- snaphshot again and again

* Mon Apr  9 2001 dam's <damien@mandrakesoft.com> 1.1.5-80mdk
- snapshot. bug fix

* Sun Apr  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-79mdk
- snapshot. bug fix.

* Sun Apr  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-78mdk
- added require on XFree86-100dpi-fonts
- various debugging
- new tinyfirewall

* Sun Apr  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-77mdk
- snapshot
- net_monitor added.

* Fri Apr  6 2001 dam's <damien@mandrakesoft.com> 1.1.5-76mdk
- corrected compilation error.

* Fri Apr  6 2001 yves <yduret@mandrakesoft.com> 1.1.5-75mdk
- snapshot : drakgw updated, boot config fix

* Thu Apr  5 2001 dam's <damien@mandrakesoft.com> 1.1.5-74mdk
- snapshot.

* Mon Apr  2 2001 dam's <damien@mandrakesoft.com> 1.1.5-73mdk
- snapshot.

* Mon Apr  2 2001 dam's <damien@mandrakesoft.com> 1.1.5-72mdk
- snapshot, typo fixs.

* Fri Mar 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-71mdk
- snapshot & fixes

* Fri Mar 30 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-70mdk
- snapshot : boot coonfig updated

* Thu Mar 29 2001 dam's <damien@mandrakesoft.com> 1.1.5-69mdk
- snapshot

* Thu Mar 29 2001 dam's <damien@mandrakesoft.com> 1.1.5-68mdk
- snapshot.

* Thu Mar 29 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-67mdk
- new snapshot (XFdrake should be working)

* Wed Mar 28 2001 dam's <damien@mandrakesoft.com> 1.1.5-66mdk
- corrected tinyfirewall last step

* Wed Mar 28 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.5-65mdk
- fixed wrong generation of second mouse support

* Wed Mar 28 2001 Franois Pons <fpons@mandrakesoft.com> 1.1.5-64mdk
- fixed multi-mouse support for XF3
- fixed XFdrake (read old config file before so probe overwrite)

* Wed Mar 28 2001 dam's <damien@mandrakesoft.com> 1.1.5-63mdk
- added draksec embedded mode
- corrected tinyfirewall for 2.4 kernels
- corrected bad translations in draknet

* Tue Mar 27 2001 dam's <damien@mandrakesoft.com> 1.1.5-62mdk
- idem.

* Sat Mar 24 2001 dam's <damien@mandrakesoft.com> 1.1.5-61mdk
- corrected tinyfirewall

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 1.1.5-60mdk
- snapshot
- corrected require.

* Fri Mar 23 2001 dam's <damien@mandrakesoft.com> 1.1.5-59mdk
- added ldetect in require.
- tinyfirewall included.

* Thu Mar 22 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-58mdk
- updated drakboot, new snapshot

* Thu Mar 22 2001 dam's <damien@mandrakesoft.com> 1.1.5-57mdk
- draknet without mail conf, new snapshot.

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-56mdk
- new version that will work with perl-base (at least XFdrake)

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-55mdk
- require perl-base not perl, it should be enough

* Thu Mar 22 2001 dam's <damien@mandrakesoft.com> 1.1.5-54mdk
- first release with tinyfirewall. Not stable.
- corrected gmon pb, I suck.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 1.1.5-53mdk
- corrected bad links.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 1.1.5-52mdk
- no crash anymore.

* Tue Mar 20 2001 dam's <damien@mandrakesoft.com> 1.1.5-51mdk
- updated draknet. new snapshot.

* Wed Mar 14 2001 dam's <damien@mandrakesoft.com> 1.1.5-50mdk
- some minor label improvements.

* Tue Mar 13 2001 Yves Duret <yduret@mandrakesoft.com> 1.1.5-49mdk
- updated bootlook
- macros

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 1.1.5-48mdk
- correted wizard pixmaps name

* Mon Mar 12 2001 dam's <damien@mandrakesoft.com> 1.1.5-47mdk
- new and shinny drakxservices

* Tue Mar  6 2001 dam's <damien@mandrakesoft.com> 1.1.5-46mdk
- XFdrake works + other improvements

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 1.1.5-45mdk
- updated embedded mode.

* Wed Feb 28 2001 dam's <damien@mandrakesoft.com> 1.1.5-44mdk
- XFdrake : new look.
- draknet : some corrections.
- install : some improvements

* Mon Feb 26 2001 dam's <damien@mandrakesoft.com> 1.1.5-43mdk
- corrected draknet, and some other stuff

* Mon Feb 26 2001 dam's <damien@mandrakesoft.com> 1.1.5-42mdk
- new draknet, with wizard and profiles.
- drakboot short-circuited.
- new pixmaps policy.

* Fri Feb 23 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-41mdk
- require perl-GTK-GdkImlib, fix XFdrake and draknet with no perl-GTK

* Fri Feb 23 2001 Pixel <pixel@mandrakesoft.com> 1.1.5-40mdk
- split in drakxtools and drakxtools-newt

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-39mdk
- install() and SHAR_PATH bug fixed in standalone.pm

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-38mdk
- bug fix.

* Thu Feb  8 2001 dam's <damien@mandrakesoft.com> 1.1.5-37mdk
- bug correction inclusion.

* Wed Feb  7 2001 dam's <damien@mandrakesoft.com> 1.1.5-36mdk
- snapshot. Included embedded mode (for control-center), and wizard mode.

* Mon Dec 18 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-35mdk
- new version (lspcidrake not here anymore, requires ldetect-lst => don't
include pcitable/... anymore)

* Tue Nov 14 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-34mdk
- snapshot
- get rid of the rpmlib dependency

* Sat Oct 21 2000 dam's <damien@mandrakesoft.com> 1.1.5-33mdk
- RC1_fixed tagged cvs version.
- Video cards handling enhanced
- isa isdn-cards and non detected isdn pci-cards spported.

* Thu Oct 19 2000 dam's <damien@mandrakesoft.com> 1.1.5-32mdk
- snapshot.

* Mon Oct  9 2000 dam's <damien@mandrakesoft.com> 1.1.5-31mdk
- snapshot.

* Fri Oct  6 2000 dam's <damien@mandrakesoft.com> 1.1.5-30mdk
- snapshot.

* Fri Oct  6 2000 dam's <damien@mandrakesoft.com> 1.1.5-29.1mdk
- snapshot. not fully stable.

* Thu Oct  5 2000 dam's <damien@mandrakesoft.com> 1.1.5-29mdk
- snapshot.

* Thu Oct 05 2000 Franois Pons <fpons@mandrakesoft.com> 1.1.5-28mdk
- snapshot.

* Tue Oct 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.1.5-27mdk
- snapshot.

* Sun Oct  1 2000 dam's <damien@mandrakesoft.com> 1.1.5-26mdk
- snapshot.

* Sat Sep 30 2000 dam's <damien@mandrakesoft.com> 1.1.5-25mdk
- snapshot.

* Sat Sep 30 2000 dam's <damien@mandrakesoft.com> 1.1.5-24mdk
- snapshot. draknet frozen.

* Fri Sep 29 2000 dam's <damien@mandrakesoft.com> 1.1.5-23mdk
- snapshot.

* Thu Sep 28 2000 dam's <damien@mandrakesoft.com> 1.1.5-22mdk
- modified spec.
- snapshot
- liveupdate

* Wed Sep 27 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-21mdk
- snapshot

* Tue Sep 26 2000 dam's <damien@mandrakesoft.com> 1.1.5-20mdk
- snapshot

* Mon Sep 25 2000 dam's <damien@mandrakesoft.com> 1.1.5-19mdk
- snapshot.

* Fri Sep 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.5-18mdk
- new snapshot
- remove BuildRequires kudzu-devel, I suck bigtime..

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.5-17mdk
- new snapshot
- BuildRequires kudzu-devel since ddcprobe/ddcxinfos.c uses /usr/include/vbe.h

* Wed Sep 20 2000 dam's <damien@mandrakesoft.com> 1.1.5-16mdk
- cvs snapshot. See changelog file

* Wed Sep 20 2000 dam's <damien@mandrakesoft.com> 1.1.5-15mdk
- cvs snapshot. See changelog file

* Fri Sep 15 2000 dam's <damien@mandrakesoft.com> 1.1.5-14mdk
- cvs snapshot.
- draknet : better dsl configuration.

* Thu Sep 14 2000 dam's <damien@mandrakesoft.com> 1.1.5-13mdk
- cvs snapshot.
- draknet : wizard mode. isdn_db.txt moved to /usr/share. No makedev.sh any more

* Mon Sep 11 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-12mdk
- add handling for gnome and kde2 in Xdrakres

* Thu Sep  7 2000 dam's <damien@mandrakesoft.com> 1.1.5-11mdk
- corrected draknet launch error.

* Thu Sep  7 2000 dam's <damien@mandrakesoft.com> 1.1.5-10mdk
- ISDN connection should work. test it!

* Tue Sep  5 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-9mdk
- setAutologin fixed in XFdrake

* Tue Sep  5 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-8mdk
- adduserdrake fixed

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-7mdk
- fix some typos in standalone/keyboarddrake
- add require perl

* Sat Sep  2 2000 Pixel <pixel@mandrakesoft.com> 1.1.5-6mdk
- add %%lang tags

* Tue Aug 29 2000 dam's <damien@mandrakesoft.com> 1.1.5-5mdk
- draknet : isa cards better recognized.

* Mon Aug 28 2000 dam's <damien@mandrakesoft.com> 1.1.5-4mdk
- corrected draknet. Please test it!

* Sun Aug 27 2000 dam's <damien@mandrakesoft.com> 1.1.5-3mdk
- Added draknet in standalone

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.5-2mdk
- add requires to modutils >= 2.3.11 because drakgw is reading
  /etc/modules.conf which has been introduced in 2.3.11

* Fri Aug 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.5-1mdk
- added `drakgw' in standalone (Internet Connection Sharing tool)

* Fri Aug 11 2000 Pixel <pixel@mandrakesoft.com> 1.1.4-3mdk
- new snapshot

* Thu Aug 10 2000 Pixel <pixel@mandrakesoft.com> 1.1.4-2mdk
- add noreplace for diskdrake.rc

* Thu Aug 10 2000 Pixel <pixel@mandrakesoft.com> 1.1.4-1mdk
- new snapshot

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.3-2mdk
- automatically added BuildRequires

* Fri Jul 21 2000 Pixel <pixel@mandrakesoft.com> 1.1.3-1mdk
- new version, BM

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.2-2mdk
- build against new libbz2

* Mon Jun 26 2000 Pixel <pixel@mandrakesoft.com> 1.1.2-1mdk
- new version

* Tue Jun 13 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-13mdk
- hopefully fix XFdrake and DDR nvidia cards (silly xfree that is)

* Mon Jun  5 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-12mdk
- fix sbus missing

* Sat Jun  3 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-10mdk
- fix draksec calling init.sh instead of msec

* Thu May 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.1-9mdk
- Don't display x86 stuff on drakboot when we are on others arch.

* Thu May 25 2000 Franois Pons <fpons@mandrakesoft.com> 1.1.1-8mdk
- update with first version for sparc and sparc64.
- fix for printer configuration for SAMBA and NCP (security issue).

* Tue May  9 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-7mdk
- many small fixes (bis)

* Tue May  2 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-6mdk
- many small fixes

* Wed Apr 26 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-5mdk
- new version (fix in adduserdrake, enhance interactive_newt)

* Wed Apr 19 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-4mdk
- llseek works, not lseek64 :(  (need more testing)

* Wed Apr 19 2000 Franois Pons <fpons@mandrakesoft.com> 1.1.1-3mdk
- updated with CVS of DrakX.

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-2mdk
- obsoletes setuptool, link setuptool to drakxconf

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 1.1.1-1mdk
- new version (added drakboot for lilo/grub, XFdrake -xf4 for XFree4)

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 1.1-1mdk
- new group
- new version

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- complete update with DrakX, small fixe on printerdrake again.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- corrected missing generic postscript and text driver for
  printderdrake.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- corrected bad resolution setting in printerdrake.

* Wed Jan 12 2000 Franois PONS <fpons@mandrakesoft.com>
- fixed print on STDOUT in printerdrake.
- corrected printerdrake against not available drivers in gs.

* Mon Jan 10 2000 Pixel <pixel@mandrakesoft.com>
- new version (bis)
- printerdrake install rhs-printfilters via urpmi if needed

* Fri Jan 07 2000 Franois PONS <fpons@mandrakesoft.com>
- updated XFdrake and PrinterDrake.

* Fri Jan  7 2000 Pixel <pixel@mandrakesoft.com>
- fixed a bug causing no i18n for rpmdrake
- add require urpmi

* Thu Jan  6 2000 Pixel <pixel@mandrakesoft.com>
- fix an error case in XFdrake

* Tue Jan  4 2000 Pixel <pixel@mandrakesoft.com>
- adduserdrake accept user names on command line
- minor fixes

* Fri Dec 31 1999 Pixel <pixel@mandrakesoft.com>
- 32mdk

* Wed Dec 29 1999 Pixel <pixel@mandrakesoft.com>
- make rpmlint happier
- minor fixes

* Mon Dec 27 1999 Pixel <pixel@mandrakesoft.com>
- better XFdrake and minor fixes

* Fri Dec 24 1999 Pixel <pixel@mandrakesoft.com>
- new version (better adduserdrake and more)
- add /usr/bin/* (for lspcidrake)

* Wed Dec 22 1999 Pixel <pixel@mandrakesoft.com>
- do not try display :0 if DISPLAY is unset

* Mon Dec 20 1999 Pixel <pixel@mandrakesoft.com>
- fixed a bug in drakxservices
- XFdrake now install XFree86 and XFree86-75dpi-fonts if needed
- XFdrake now calls /etc/rc.d/init.d/xfs start if needed
- minor fix

* Sat Dec 18 1999 Pixel <pixel@mandrakesoft.com>
- added kpackage's icons for rpmdrake

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- bzip2 .po's
- mount /proc in XFdrake to avoid freeze when called by kudzu
- added Xdrakres

* Thu Dec 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the netdrake ghost.

* Thu Dec 16 1999 Pixel <pixel@mandrakesoft.com>
- fix draksec
- many changes in libDrakX

* Sat Dec 11 1999 Pixel <pixel@mandrakesoft.com>
- adduserdrake added and some more

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- added drakxconf, drakxservices
- handle non root via kdesu if X
- warning go to syslog

* Wed Dec  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add %post and %postun to link redhat tools to our tools.
- Obsoletes: Xconfigurator mouseconfig kbdconfig printtool
- A lots of changes/fix.

* Thu Dec  2 1999 Pixel <pixel@linux-mandrake.com>
- keyboarddrake added, and many changes
- fixed typos

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- new version (printerdrake) (did i say lspcidrake was there too?)

* Wed Nov 24 1999 Pixel <pixel@linux-mandrake.com>
- new version
- fixed *.o bundled in the %source

* Sun Nov 21 1999 Pixel <pixel@mandrakesoft.com>
- removed %config for diskdrake.rc (should i?)
- removed xtest from the requires
- added %config for diskdrake.rc (should i?)
- strip .so and ddcxinfos (nice rpmlint :)

* Sat Nov 20 1999 Pixel <pixel@mandrakesoft.com>
- added MonitorsDB to %files (silly me:-!)

* Thu Nov 18 1999 Pixel <pixel@mandrakesoft.com>
- precised the required version for perl-GTK

* Thu Nov 18 1999 Pixel <pixel@mandrakesoft.com>
- First version

# end of file
# Local Variables:
# compile-command: "rpmbuild --target=i586 --define=\"packager $(rpm -q drakxtools --qf='%{PACKAGER}')\" -ba drakxtools.spec"
# End:
